package com.minlinuxserver.dao;

import java.util.List;

import com.minlinuxserver.domain.*;

/**
 * @author Peter Lindblom
 * 
 */
public interface MessageDao {
	List<Message> getAllMessages();

	List<Message> getLatestMessage(int length);

	boolean deleteMessage(Message message);
	boolean saveMessage(Message message);
	
	Message getMessageById(long id);

	Message getTheLatestMessage();
}

