package com.minlinuxserver.domain;

import java.util.ArrayList;
import java.util.List;


/**
 * @author Peter Lindblom
 * 
 */
public class MessageHelper {
	public static List<Message> getTypeSafeListOfMessages(Object unSafeList) {
		List<Message> typeSafeListOfMessages = new ArrayList<Message>();
		Object object = unSafeList;
		if (object instanceof List<?>) {
			List<?> list = (List<?>) object;
			for (Object tmpObject : list) {
				if (tmpObject instanceof Message) {
					Message tmpMessage = (Message) tmpObject;
					typeSafeListOfMessages.add(tmpMessage);
				}
			}
		}

		return typeSafeListOfMessages;
	}
}
