<%@page contentType="text/html" pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%
response.setHeader("Cache-Control","no-cache"); //HTTP 1.1
response.setHeader("Pragma","no-cache"); //HTTP 1.0
response.setDateHeader ("Expires", 0); //prevents caching at the proxy server
%>
<c:set var="now" value="<%=new java.util.Date()%>" />

<html xmlns="http://www.w3.org/1999/xhtml" lang="sv">
<jsp:include page="head.jsp" />
<body>
<div id="main">
<h1>MinLinuxServer.com</h1>
<jsp:include page="../../myadmin/menu.jsp" /> 
		
			
		<div class="headline">
			<c:choose>
				<c:when test="${param.id > 0 }">
					Varfr serveren startades om (Redigera)
				</c:when>
				<c:otherwise>
					Varfr servern startades om (Nytt meddelande)
				</c:otherwise>
			</c:choose>			
		</div>
		<div class="message">

		<form action="${requestScope.servletPath}" method="post">
		<c:choose>
			<c:when test="${param.id > 0 }">
				<input type="hidden" name="action" value="edit" />
				<input type="hidden" name="id" value="${requestScope.SelectedMessage.id}" />				
				<label>Datum: <input type="text" name="date" value="<fmt:formatDate pattern="yyyy-MM-dd" value="${requestScope.SelectedMessage.date}" />" /></label>				
			</c:when>
			<c:otherwise>
				<input type="hidden" name="action" value="add" /> 
				<label>Datum: <input type="text" name="date" value="<fmt:formatDate pattern="yyyy-MM-dd" value="${now}" />" /></label>				 	
			</c:otherwise>
		</c:choose>
		<br />
		<label>Meddelandetyp: 
			<select name="message-type">
			<c:forEach var="item" items="${requestScope.MessageTypes}"  >
				<c:choose>
					<c:when test="${item eq requestScope.SelectedMessageType}">
						<option selected="selected" value="<c:out value="${item}" />"><c:out value="${item}" /></option>
					</c:when>
					<c:otherwise>
						<option value="<c:out value="${item}" />"><c:out value="${item}" /></option>
					</c:otherwise>
				</c:choose>					
			</c:forEach>
			</select>
		</label>		
		<br />		
		<label>Meddelande:<br /> <textarea rows="20" cols="60" name="message"><c:if test="${param.id > 0 }">${requestScope.SelectedMessage.message}</c:if></textarea></label>
		
		
		<br />
		<label>Det frra meddelandet var:     
			<select name="last-message-id">			
			<c:choose>
				<c:when test="${param.id > 0 }">
					<c:forEach var="message" items="${requestScope.ListOfMessages}">
						<c:choose>
							<c:when test="${requestScope.SelectedMessage.previousMessage != null && requestScope.SelectedMessage.previousMessage.id == message.id}">
								<option value="${message.id}" selected="selected"><fmt:formatDate pattern="yyyy-MM-dd" value="${message.date}" /> - ${message.id}</option>
							</c:when>
							<c:otherwise>
								<option value="${message.id}"><fmt:formatDate pattern="yyyy-MM-dd" value="${message.date}" /> - ${message.id}</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
					
					<c:choose>
						<c:when test="${requestScope.SelectedMessage.previousMessage == null}">
							<option value="" selected="selected">TOMT</option>
						</c:when>
						<c:otherwise>
							<option value="">TOMT</option>
						</c:otherwise>
					</c:choose>	
				</c:when>
				<c:otherwise>
					<c:forEach var="message" items="${requestScope.ListOfMessages}">						
						<option value="${message.id}"><fmt:formatDate pattern="yyyy-MM-dd" value="${message.date}" /> - ${message.id}</option>							
					</c:forEach>
					<option value="">TOMT</option>					
				</c:otherwise>
			</c:choose>

			</select>
		</label>
			<br />
		<input type="submit" value="Spara" />
		<input type="reset" value="ngra" />
		</form>
		<br />
		
		<c:if test="${param.id > 0 }">
		<form action="${requestScope.servletPath}" method="post">
			<input type="hidden" name="action" value="delete" />
			<input type="hidden" name="id" value="${requestScope.SelectedMessage.id}" />
			<input type="submit" value="Radera meddelande" />
		</form>		
		</c:if>
	</div>

<div class="headline">Redigera ldre meddelanden</div>
<div id="message">

<c:if test="${not empty requestScope.ListOfMessages}">
<form action="${requestScope.servletPath}" method="get">
	<input type="hidden" name="action" value="get" />
	<select name="id">
	<c:forEach var="message" items="${requestScope.ListOfMessages}">
		<option value="${message.id}"><fmt:formatDate pattern="yyyy-MM-dd" value="${message.date}" /> - ${message.id}</option>
	</c:forEach>
	</select>
	<input type="submit" value="Redigera meddelande" />
</form>
	</c:if>
<br />
<form action="${requestScope.servletPath}" method="get">
	<input type="submit" value="Nytt meddelande" />
</form>

</div>

</div>
</body>
</html>