$(document).ready(function () {
	
	var outputTextTo = function (jid,data) {
		$(jid).html(data); 
		
	}, getUptime = function () {
		var timer = undefined; 
		$.get("/ExecCommandServletUptime", function (data) {
			outputTextTo("#uptime",data);
		});	
		timer = setTimeout(getUptime, 10000); 
		
	}, getFreeSpace = function () {
		var timer = undefined;
		$.get("/ExecCommandServletFreeSpace", function (data) {
			outputTextTo("#freespace",data);		
		});
		timer = setTimeout(getFreeSpace, 10000);
		
	}, makeMessageHtml = function (type, date, message) {
		var html = "<div class=\"message\">\n";				
		html += "\t<span class=\"messagefield\">" + message + "</span>\n";
		html += "\t<br />\n";
		html += "\t<span class=\"datefield\">" + type + date + "</span>\n";		
		html += "</div>\n";
		return html;
		
	}, getMessages = function (str) {	
		$.getJSON("/shutDownMessageServlet", { get: str }, function (data) {			
			$.each(data, function(i, item) {
				$(makeMessageHtml(item.type, item.date, item.message)).appendTo("#messages");
			});
			
			$("#messages").startNewsTicker({
				startPosition: 0, 
				stopPosition: 150,
				pausPosition: 5,
				units: "px",
				waitToStartForMS:1000,
				waitOnPausPositionForMS:2000,
				animationDelayMS:25
			});			
		});
		
	}, getLinks = function () {
		var tmpHtml="";
		$.getJSON("/linksServlet", function (data) {
			$("#links").empty();
			
			tmpHtml = "<ul>";			
			$.each(data, function(i, item) {
				tmpHtml = tmpHtml + "<li><a href=\""+item.linkHref+"\">"+item.linkName+"</a></li>";
			});
			tmpHtml = tmpHtml + "</ul>";
			
			$("#links").append(tmpHtml);
		});
	};
	
	getUptime();	
	getFreeSpace();
	getLinks();
	
	getMessages("all");
	
	
		
});