package com.minlinuxserver.domain;

import junit.framework.TestCase;

public class TestLink extends TestCase {

	Link link = null; 
	
	protected void setUp() throws Exception {
		super.setUp();		
		link = new Link();		
	}

	protected void tearDown() throws Exception {
		super.tearDown();		
		link = null;
	}
	
	public void testGetId() throws Exception {
		
		link.setId(10L);
		
		long expected = 10L;
		long actual = link.getId();
				
		assertEquals(true, (expected == actual));
	}
	
	public void testGetIdError() throws Exception {
		
		link.setId(11L);
		
		long expected = 10L;
		long actual = link.getId();
		
		assertEquals(true, (expected != actual));		
	}
	
	public void testGetLinkSortIndex() throws Exception {
		
		link.setLinkSortIndex(2L);
		
		long expected = 2L;
		long actual = link.getLinkSortIndex();
				
		assertEquals(true, (expected == actual));
	}
	
	public void testGetLinkName() throws Exception {
		
		String testString = "plweb.se";
		
		link.setLinkName(testString);
		
		String expected = testString;
		String actual = link.getLinkName();
				
		assertEquals(true, expected.equals(actual));
	}
	
	public void testGetLinkHref() throws Exception {
		
		String testHref = "http://www.plweb.se";
		
		link.setLinkHref(testHref);
		
		String expected = testHref;
		String actual = link.getLinkHref();
				
		assertEquals(true, expected.equals(actual));
	}

}
