package com.minlinuxserver.domain;

import junit.framework.TestCase;

public class TestMessageFactory extends TestCase {

	public TestMessageFactory(String name) {
		super(name);
	}

	public void testCreateUpTimeMessage() throws Exception {
		Message message = MessageFactory.createUpTimeMessage();		
		assertEquals(true,  MessageType.UP_TIME_MESSAGE.isThisType(message.getMessageType()));		
	}
	
	public void testCreateDownTimeMessage() throws Exception {
		Message message = MessageFactory.createDownTimeMessage();		
		assertEquals(true,  MessageType.DOWN_TIME_MESSAGE.isThisType(message.getMessageType()));		
	}
	
	
	
}
