package com.minlinuxserver.domain;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Peter Lindblom
 * 
 */
public class LinkHelper {
	public static List<Link> getTypeSafeListOfLinks(Object unSafeList) {
		List<Link> typeSafeListOfLinks = new ArrayList<Link>();
		Object object = unSafeList;
		if (object instanceof List<?>) {
			List<?> list = (List<?>) object;
			for (Object tmpObject : list) {
				if (tmpObject instanceof Link) {
					Link tmpLink = (Link) tmpObject;
					typeSafeListOfLinks.add(tmpLink);
				}
			}
		}

		return typeSafeListOfLinks;
	}
}
