package com.minlinuxserver.domain;

import java.util.Date;

/**
 * @author Peter Lindblom
 * 
 */
public class Message {

	private Long id;
	private Date date;
	private String message;
	private Message previousMessage;
	private String messageType;
	
	public Message() {}
	
	public Message(Message message) {
		this.id = new Long(message.getId());
		this.date = new Date(message.getDate().getTime());
		this.message = new String(message.getMessage());
		this.previousMessage = message.getPreviousMessage();
	}
	
	public Long getId() {
		return id;
	}

	protected void setId(Long id) {
		this.id = id;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Message getPreviousMessage() {
		return previousMessage;
	}

	public void setPreviousMessage(Message previousMessage) {
		this.previousMessage = previousMessage;
	}

	public String getMessageType() {				
		return messageType;
	}

	public void setMessageType(String messageType) {
		this.messageType = messageType;
	}

}
