package com.minlinuxserver.domain;

/**
 * @author Peter Lindblom 
 */

public class MessageFactory {
	private MessageFactory() {}
	
	public static Message createUpTimeMessage(){
		
		Message upTimeMessage = new Message();
		upTimeMessage.setMessageType(MessageType.UP_TIME_MESSAGE.toString());
		
		return upTimeMessage;
	}
	
	public static Message createDownTimeMessage(){
		Message downTimeMessage = new Message();
		downTimeMessage.setMessageType(MessageType.DOWN_TIME_MESSAGE.toString());
		
		return downTimeMessage;
	}	
}
