package com.minlinuxserver.domain;

/**
 * @author Peter Lindblom
 * 
 */

public enum MessageType {
	UP_TIME_MESSAGE(
		"com.minlinuxserver.domain.UpTimeMessage"
	),
	DOWN_TIME_MESSAGE(
		"com.minlinuxserver.domain.DownTimeMessage"
	);

	private String stringRepresentation = null;	

	private MessageType(String stringRepresentation ) {
		this.stringRepresentation = stringRepresentation;				
	}

	private String getStringRepresentation() {
		return stringRepresentation;
	}

	public boolean isThisType(String stringRepresentation) {
		if (this.stringRepresentation != null) {
			return this.stringRepresentation
					.equalsIgnoreCase(stringRepresentation);
		}
		return false;
	}
	
	@Override
	public String toString() {
		return getStringRepresentation();
	}	
}
