package com.minlinuxserver.domain;

public class MessageTypeHelper {
	
	public static String[] getMessageTypesAsStrings() {
		String[] messageTypes = new String[MessageType.values().length];
		
		for(int i=0; i < messageTypes.length; i++){
			messageTypes[i] = MessageType.values()[i].toString();
		}
		
		return messageTypes;
	}
	
	public static boolean isValidMessageType(String messageType){
		
		for(String tmpMessageType : getMessageTypesAsStrings()){
			if(tmpMessageType.equals(messageType)) {
				return true;
			}
		}
		
		return false; 
		
	}
}
