package com.minlinuxserver.servlet;

public enum ActionType {
	ADD("add"), EDIT("edit"), GET("get"), DELETE("delete");

	private String stringRepresentation = null;

	private ActionType(String stringRepresentation) {
		this.stringRepresentation = stringRepresentation;
	}

	private String getStringRepresentation() {
		return stringRepresentation;
	}

	public boolean isThisType(String stringRepresentation) {
		if (this.stringRepresentation != null) {
			return this.stringRepresentation
					.equalsIgnoreCase(stringRepresentation);
		}
		return false;
	}

	@Override
	public String toString() {
		return getStringRepresentation();
	}
}
