package com.minlinuxserver.servlet;

import java.io.IOException;
import javax.servlet.*;
import javax.servlet.http.*;
import com.minlinuxserver.dao.LinkDao;
import com.minlinuxserver.dao.impl.LinkDaoImpl;

/**
 * @author Peter Lindblom
 * 
 */
public class LinksServlet extends BaseServlet {

	private static final long serialVersionUID = 1L;
	private LinkDao linkDao = new LinkDaoImpl();
	private static final String ATTRIBUTE_LIST_OF_LINKS = "listOfLinks";

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {

		req.setAttribute(ATTRIBUTE_LIST_OF_LINKS, linkDao.getAllLinks());
		forward(req, resp);
	}
}
