<%@page contentType="text/html" pageEncoding="ISO-8859-1"%>
<%@page import="com.minlinuxserver.domain.*"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="org.json.*"%>
<%@page import="java.text.SimpleDateFormat"%>

<%
response.setHeader("Cache-Control","no-cache"); //HTTP 1.1
response.setHeader("Pragma","no-cache"); //HTTP 1.0
response.setDateHeader ("Expires", 0); //prevents caching at the proxy server

SimpleDateFormat sdf  = new SimpleDateFormat("yyyy-MM-dd");
ArrayList<JSONObject> jsonResultList = new ArrayList<JSONObject>();

for(Message tmpMessage: MessageHelper.getTypeSafeListOfMessages(request.getAttribute("resultList"))){
	String typeOfMessage = "";
	String to = "";
	String from = "";
	
	if(tmpMessage != null){
		
		if(MessageType.UP_TIME_MESSAGE.isThisType(tmpMessage.getMessageType())){
			typeOfMessage = "uptid:";
		}else if(MessageType.DOWN_TIME_MESSAGE.isThisType(tmpMessage.getMessageType())){
			typeOfMessage = "nertid:";
		}		
	}
	if(tmpMessage.getDate() != null){
		to = sdf.format(tmpMessage.getDate());	
	}
	if(tmpMessage.getPreviousMessage() != null){
		from = sdf.format(tmpMessage.getPreviousMessage().getDate());	
	}	
	jsonResultList.add(new JSONObject().append("type",typeOfMessage).append("date", from +" - "+ to ).append("message",tmpMessage.getMessage()));				
}

out.print(new JSONArray(jsonResultList.toArray()).toString());
%>